add_library(ir_passes STATIC
  PassManager.cpp
  Mem2Reg.cpp
  ConstFold.cpp
  ConstProp.cpp
  CSE.cpp
  DCE.cpp
  CFGSimplify.cpp
)

target_link_libraries(ir_passes PUBLIC
  build_options
  ir_core
  ir_analysis
)
